Subject: Re: virtio pull for 4.5 (was Re: [PULL] virtio: barrier rework+fixes)

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 21 Jan 2016 12:23:07 +0200

On Mon, Jan 18, 2016 at 05:01:26PM -0800, Linus Torvalds wrote:
> On Mon, Jan 18, 2016 at 5:21 AM, Michael S. Tsirkin <[email-masked]> wrote:
> > Hi Linus,
> > Just making sure nothing's wrong with this pull request.
> > If there's an issue, pls let me know!
> 
> It was just pulled because I wasn't 100% sure I wanted the extra
> indirection. Oh well, pulled now.
> 
> One question:
> 
>  - the arch/sh/ part of the pacth looks dubious. Why does it do that
> 
>      #define smp_store_mb(var, value) __smp_store_mb(var, value)
> 
>    despite the commit log saying it's done by asm-generic?
> 
> I haven't pushed out yet, my allmodconfig sanity-check build is still going..
> 
>                       Linus

Oh that's because that's what the existing code did, so
the original version of the patch left the bug in place.
I wanted to include the fix and I wrote this in the
commit message, but I forgot to include it in the code :(

Thankfully this just means that the commit log is wrong,
the code is just unchanged from 4.4, and I'll
include a fix in my tree shortly.

-- 
MST